<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('nivel_educativo', function (Blueprint $table) {
            $table->id();
            $table->string('NENOMBRE');
            $table->string('NECLAVE');
            $table->timestamps();
        });
         Schema::table('periodo_boleta', function(Blueprint $table){
            $table->unsignedBigInteger('PBCNIVEL')->nullable()->after('id');

            $table->foreign('PBCNIVEL')->references('id')->on('nivel_educativo')
            ->onUpdate('cascade')
            ->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('nivel_educativo');
    }
};
